OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom

# PGeom_Surface Class Reference

`#include <PGeom_Surface.hxx>`

Inheritance diagram for PGeom_Surface:

[legend]

## Public Member Functions
| PGeom_Surface (const Storage_stCONSTclCOM &a)
| PGeom_Surface ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom_Surface::PGeom_Surface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom_Surface::PGeom_Surface | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_Surface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Geometry. Reimplemented in PGeom_BezierSurface, PGeom_BoundedSurface, PGeom_BSplineSurface, PGeom_ConicalSurface, PGeom_CylindricalSurface, PGeom_ElementarySurface, PGeom_OffsetSurface, PGeom_Plane, PGeom_RectangularTrimmedSurface, PGeom_SphericalSurface, PGeom_SurfaceOfLinearExtrusion, PGeom_SurfaceOfRevolution, PGeom_SweptSurface, and PGeom_ToroidalSurface.

The documentation for this class was generated from the following file:

- PGeom_Surface.hxx